/*
 * Copyright (c) 2007, 2009, Oracle and its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id$
 */

package com.sun.ts.tests.jaxws.wsa.w2j.document.literal.oneway;

import com.sun.ts.tests.jaxws.sharedclients.SOAPClient;
import com.sun.ts.lib.harness.EETest;

public class AddNumbersClient1 extends SOAPClient{

    public AddNumbersClient1(String webServerHost, int port, int mode) throws EETest.Fault{
        this(webServerHost, port, mode, null);
    }

    public AddNumbersClient1(String webServerHost, int port, int mode, javax.xml.ws.Service webServiceRef) throws EETest.Fault{
        super(webServerHost, port, mode);
        stubContext.setNamespace("http://example.com/");
        stubContext.setService("AddNumbersService");
        stubContext.setPort("AddNumbersPort");
        stubContext.setEndpointInterface(AddNumbersPortType.class);
	stubContext.setWebServiceRef(webServiceRef);
    }

    protected String getEndpointURLProperty() {
        return "wsaw2jdlonewaytest.endpoint.1";
    }

    protected String getWSDLURLProperty() {
        return "wsaw2jdlonewaytest.wsdlloc.1";
    }
}
